Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class TupleLoaderOne

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.store.TupleLoaderBase
              com.hp.hpl.jena.sdb.store.TupleLoaderOne

All Implemented Interfaces:
  TupleLoader

Direct Known Subclasses:
  TupleLoaderOneHash, TupleLoaderOneIndex, TupleLoaderSimple

    public abstract class TupleLoaderOne

extends TupleLoaderBase

Constructor Summary
`TupleLoaderOne(SDBConnection connection)`
`TupleLoaderOne(SDBConnection connection, TableDesc tableDesc)`

Method Summary
`void` | `finish()` Notify the finish of a sequence of rows to load.
`abstract SqlConstant` | `getRefForNode(com.hp.hpl.jena.graph.Node node)`
`abstract SqlConstant` | `insertNode(com.hp.hpl.jena.graph.Node node)`
`void` | `load(com.hp.hpl.jena.graph.Node... row)` Load a row - may not take place immediately but row object is free for reuse after calling this method.
`void` | `start()` Notify the start of a sequence of rows to load
`void` | `unload(com.hp.hpl.jena.graph.Node... row)` Remove a row - may not take place immediately but row object is free for reuse after calling this method.

Methods inherited from class com.hp.hpl.jena.sdb.store.TupleLoaderBase
`close, getTableDesc, getTableName, setTableDesc`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleLoaderOne

    public TupleLoaderOne(SDBConnection connection)

### TupleLoaderOne

    public TupleLoaderOne(SDBConnection connection,
                          TableDesc tableDesc)

Method Detail

### start

    public void start()

  Description copied from interface: `TupleLoader`
  Notify the start of a sequence of rows to load

  Specified by:
    `start` in interface `TupleLoader`
  Overrides:
    `start` in class `TupleLoaderBase`

### finish

    public void finish()

  Description copied from interface: `TupleLoader`
  Notify the finish of a sequence of rows to load. All data will have been loaded by the time this returns

  Specified by:
    `finish` in interface `TupleLoader`
  Overrides:
    `finish` in class `TupleLoaderBase`

### load

    public void load(com.hp.hpl.jena.graph.Node... row)

  Description copied from interface: `TupleLoader`
  Load a row - may not take place immediately but row object is free for reuse after calling this method.

### unload

    public void unload(com.hp.hpl.jena.graph.Node... row)

  Description copied from interface: `TupleLoader`
  Remove a row - may not take place immediately but row object is free for reuse after calling this method.

### getRefForNode

    public abstract SqlConstant getRefForNode(com.hp.hpl.jena.graph.Node node)
                                       throws SQLException

  Throws:
    `SQLException`

### insertNode

    public abstract SqlConstant insertNode(com.hp.hpl.jena.graph.Node node)
                                    throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.